package com.perforce.hive.plugin.docker.model;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class DockerBlobFactory {

	private static final String TMP = "tmp";

	public static DockerBlob get(String repo, String name, String id) {
		Path path = Paths.get(TMP, repo, name, id);
		DockerBlob blob = new DockerBlob(path);
		return blob;
	}
	
	public static void clean(String repo, String name, String id) throws IOException {
		Path path = Paths.get(TMP, repo, name, id);
		Files.deleteIfExists(path);
	}
}
